# PDL.spec
%define name perl-PDL
%define real_name PDL
%define version 2.004
%define release 1mdk

Summary: perlDL, an efficient numerical language for scientific computing
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Development/Perl
Buildroot: /var/tmp/%{name}-buildroot/
Source: ftp://ftp.cpan.org/pub/perl/CPAN/modules/by-module/PDL/%{real_name}-%{version}.tar.bz2
Patch: PDL-2.004-perl-5.6.0.patch.bz2
Prefix: %{_prefix}
Requires: Mesa >= 3.0
Obsoletes: PDL

%description
The perlDL project aims to turn perl into an efficient numerical language for
scientific computing. The PDL module gives standard perl the ability to
COMPACTLY store and SPEEDILY manipulate the large N-dimensional data sets which
are the bread and butter of scientific computing. e.g. C<$a=$b+$c> can add two
2048x2048 images in only a fraction of a second.

The aim is to provide tons of useful functionality for
scientific and numeric analysis.

%prep
%setup -q -n %{real_name}-%{version}

%patch -p1

%build
perl Makefile.PL PREFIX=%{prefix}
make OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=%{prefix}

%install
rm -rf $RPM_BUILD_ROOT
make install PREFIX="$RPM_BUILD_ROOT/%{prefix}"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir /usr/lib/perl5/site_perl/5.*/%{_arch}-linux/auto/PDL
/usr/lib/perl5/site_perl/5.*/%{_arch}-linux/auto/PDL/*
/usr/lib/perl5/site_perl/5.*/%{_arch}-linux/PDL.pm
/usr/lib/perl5/site_perl/5.*/%{_arch}-linux/PDL/default.perldlrc
/usr/lib/perl5/site_perl/5.*/%{_arch}-linux/PDL/pdldoc.db
/usr/lib/perl5/site_perl/5.*/%{_arch}-linux/PDL/*.pm
/usr/lib/perl5/site_perl/5.*/%{_arch}-linux/PDL/*.pod
/usr/lib/perl5/site_perl/5.*/%{_arch}-linux/PDL/Filter
/usr/lib/perl5/site_perl/5.*/%{_arch}-linux/PDL/Opt
/usr/lib/perl5/site_perl/5.*/%{_arch}-linux/PDL/IO
/usr/lib/perl5/site_perl/5.*/%{_arch}-linux/PDL/Graphics
/usr/lib/perl5/site_perl/5.*/%{_arch}-linux/PDL/Pod
#/usr/lib/perl5/site_perl/5.*/%{_arch}-linux/PDL/Core
/usr/lib/perl5/site_perl/5.*/%{_arch}-linux/PDL/PP
/usr/lib/perl5/site_perl/5.*/%{_arch}-linux/PDL/Doc
/usr/lib/perl5/site_perl/5.*/%{_arch}-linux/PDL/Demos
#/usr/lib/perl5/site_perl/5.*/%{_arch}-linux/PDL/HtmlDocs
/usr/lib/perl5/5.*/%{_arch}-linux/perllocal.pod
/usr/lib/perl5/man/man3/*
/usr/bin/perldl

%changelog

* Mon Apr 04 2000 Franois Pons <fpons@mandrakesoft.com> 2.004-1mdk

- updated to 2.004.
- added patch for compiling with perl 5.6.0.
- reduced nightmare of files section.
- removed man1 pages as they are no longer available?
- updated Group.

* Tue Jan 18 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.003-5mdk

- fix on non i386 arch.

* Thu Dec 16 1999 Franois PONS <fpons@mandrakesoft.com>

- added section 1 man pages (mainly internals of PDL).

* Wed Dec 15 1999 Franois PONS <fpons@mandrakesoft.com>

- added perldl, although not mandatory it helps a lot for tutorial and doc.

* Thu Dec  9 1999 Pixel <pixel@linux-mandrake.com>

- rebuild with new Mesa

* Tue Nov 23 1999 Franois PONS <fpons@mandrakesoft.com>

- upgraded to version 2.003
- fixed missing defattr.
- Build release.

* Tue Jul 13 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Fix %{name} problems to perl-PDL (all perl modules need to begin with perl)
- Add a Requires: Mesa

* Fri Jul  9 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- first version of rpm.

# end of file
